Saltar al contenido
javinfo

Buscar cualquier cosa (múltiples resultados)

POST
/query

Authorization

apiKey
headerx-javinfo-key<token>

Your javinfo API key. Create one in the dashboard.

Request Body

application/json
  1. body
q?string
Default""
providers?string

Optional. Comma-separated provider ids to pin (e.g. javdb,missav). Omit to run the default waterfall.

filter?
sort?string
Value in"relevance""release""update""rating""views"
page?integer
Range1 <= value <= 9007199254740991
num?integer
Range1 <= value <= 9007199254740991
Default10

Response Body

OK

application/json
  1. response
q*string
source*string
count*number
total?number
results*array<>
curl -X POST 'https://api.javinfo.dev/query' \  -H 'Content-Type: application/json' \  -d '{  "q": "SSIS-001"}'
Example Response
{  "q": "SSIS-001",  "source": "javdatabase",  "count": 2,  "results": [    {      "id": "ssis00001",      "dvdId": "SSIS-001",      "title": "After Abstaining From Sex For A Month, I Lost My Mind Having Nothing But Infidelity Sex With My Girlfriend's 2 Roommates While She Was Away For 3 Days.",      "cover": "https://www.javdatabase.com/images/covers/ssis-001.webp",      "releaseDate": "2021-02-19",      "extra": {        "studio": "S1 NO.1 STYLE",        "url": "https://www.javdatabase.com/movies/ssis-001/"      }    },    {      "id": "ssis00072",      "dvdId": "SSIS-072",      "title": "Newcomer NO.1 STYLE Tsukasa Aoi AV Debut",      "cover": "https://www.javdatabase.com/images/covers/ssis-072.webp",      "releaseDate": "2021-06-11",      "extra": {        "studio": "S1 NO.1 STYLE",        "url": "https://www.javdatabase.com/movies/ssis-072/"      }    }  ]}